<div class="homemenu">
<?php

function mtheme_nav_fallback() {
   require (MTHEME_INCLUDES . "/menu/fallbackmenu.php");
}

if ( function_exists('wp_nav_menu') ) { 
// If 3.0 menus exist
//	wp_nav_menu( array( 'container' => '', 'theme_location' => 'top_menu', 'fallback_cb' => 'mtheme_nav_fallback' ) );
wp_nav_menu( array(
 'container' =>false,
 'theme_location' => 'main_menu',
 'menu_class' => 'sf-menu',
 'echo' => true,
 'before' => '',
 'after' => '',
 'link_before' => '',
 'link_after' => '',
 'depth' => 0,
 'walker' => new description_walker(),
 'fallback_cb' => 'mtheme_nav_fallback'
 )
);

} else {
	// Else show the regular Menu
	require (MTHEME_INCLUDES . "/menu/menu.php");
} 

?>
</div>